diff mbox series

[2/2] selftests: bpf: test_kmod.sh: use modprobe on target device

Message ID 1504605281-30018-2-git-send-email-naresh.kamboju@linaro.org
State Superseded
Headers show
Series [1/2] selftests: bpf: test_kmod.sh: check if module is present in the path before insert | expand

Commit Message

Naresh Kamboju Sept. 5, 2017, 9:54 a.m. UTC
From: Naresh Kamboju <naresh.kamboju@linaro.org>


on ARM and ARM64 devices kernel source tree is not available so
insmod "$SRC_TREE/lib/test_bpf.ko" is not working.

on these target devices the test_bpf.ko is installed under
/lib/modules/`uname -r`/kernel/lib/
so use modprobe dry run to check for missing test_bpf.ko module and
insert for testing.

Signed-off-by: Naresh Kamboju <naresh.kamboju@linaro.org>

---
 tools/testing/selftests/bpf/test_kmod.sh | 10 ++++++++++
 1 file changed, 10 insertions(+)

-- 
2.13.0
diff mbox series

Patch

diff --git a/tools/testing/selftests/bpf/test_kmod.sh b/tools/testing/selftests/bpf/test_kmod.sh
index a53eb1cb54ef..4a827b4c4b60 100755
--- a/tools/testing/selftests/bpf/test_kmod.sh
+++ b/tools/testing/selftests/bpf/test_kmod.sh
@@ -13,6 +13,16 @@  test_run()
 		insmod $SRC_TREE/lib/test_bpf.ko 2> /dev/null
 		if [ $? -ne 0 ]; then
 			rc=1
+	elif
+		# Use modprobe dry run to check for missing test_bpf module
+		if ! /sbin/modprobe -q -n test_bpf; then
+			echo "test_bpf: [SKIP]"
+		fi
+		if /sbin/modprobe -q test_bpf; then
+			echo "test_bpf: ok"
+		else
+			echo "test_bpf: [FAIL]"
+			rc=1
 		fi
 	fi
 	rmmod  test_bpf 2> /dev/null